@font-face {
    font-family: 'MyCustomFont';
    src: url('./assets/fonts/SF-Pro.ttf') format('truetype');
    font-weight: 400;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'MyCustomFont';
    src: url('./assets/fonts/SF-Pro.ttf') format('truetype');
    font-weight: 510;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'MyCustomFont';
    src: url('./assets/fonts/SF-Pro.ttf') format('truetype');
    font-weight: 590;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'MyCustomFont';
    src: url('./assets/fonts/SF-Pro.ttf') format('truetype');
    font-weight: 274;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'FontAmour';
    src: url('./assets/fonts/Font_loulou-Regular.ttf') format('truetype');
    font-style: normal;
    font-display: swap;
}

:root {
    --main-font: 'MyCustomFont', sans-serif;
    --secondary-font: 'FontAmour', sans-serif;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    cursor: default;
}

html {
    scroll-behavior: smooth;
}

body.loading {
    visibility: hidden;
}

body.loaded {
    visibility: visible;
    transition: visibility 0s;
}

body {
  font-family: var(--main-font);
  line-height: 1.6;
  background-color: #ffffff;
  color: #000000;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  transition: 0.5s;
}

body.active {
  background-color: #000000;
  color: #fff;
}

.reveal {
  opacity: 0;
  transform: translateY(40px);
  transition: opacity 1s ease, transform 1s ease;
  will-change: opacity, transform;
}

.reveal.visible {
  opacity: 1;
  transform: translateY(0);
}

@media (max-width: 768px) {
  .reveal {
    transform: translateY(20px);
  }
}

/* BOUTON NUIT/JOUR */
#changeur {
  position: absolute;
  top: 6%;
  left: 92%;
  transform: translate(-50%, -50%);
  width: 60px;
  height: 30px;
  background-color: #f9f9f9;
  border-radius: 500px;
  box-shadow: inset 1px 1px 10px 0px #00000028;
  transition: 0.5s;
}

.cercle {
  position: absolute;
  top: 0;
  left: 0;
  width: 30px;
  height: 30px;
  transform: scale(0.9);
  background: linear-gradient(to bottom, #fff, #ecebeb);
  border-radius: 50%;
  box-shadow: 1px 1px 5px 1px #0000003f,
    inset 0.5px 0.5px 2px #0000003f;
  transition: 0.5s;
}

#changeur.active .cercle {
  left: 30px;
  background: linear-gradient(to bottom, #464545, #2d2c2c);
  box-shadow: 1px 1px 5px 1px #0000003f,
    inset 0.5px 0.5px 2px #0000003f;
}

#changeur.active {
  background-color: #323030;
  box-shadow: inset 1px 1px 10px 0px #000000;
}

@media (max-width: 768px) {
  #changeur {
    margin-top: 240px;
    left: 50%;
  }
}

/* NAVBAR */

#navbarcontainer {
  width: 100%;
  max-width: 660px;
  padding: 10px;
  margin: 10px auto 50px;
}

.navbar {
  background-color: #ffffff00;
  border: 0.5px solid #000000;
  color: #000000;
  padding: 14px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  border-radius: 5px;
}

.nav-left a {
  color: #000000;
  text-decoration: none;
  font-size: 16px;
  font-weight: 510;
}

.nav-links {
  list-style: none;
  display: flex;
  gap: 25px;
}

.nav-links li a {
  color: #000000;
  text-decoration: none;
  font-size: 16px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
}

.nav-links li a.active {
  background-color: #0836FF;
  color: #ffffff;
  font-weight: 400;
  padding: 10px 20px;
  border-radius: 5px;
  transition: background-color 0.3s ease;
}

.nav-links li a.contact {
  border: 0.5px solid #000000;
  color: #000000;
  font-weight: 400;
  padding: 10px 20px;
  border-radius: 5px;
  transition: background-color 0.3s ease;
}

#navbarcontainer.active .navbar {
  border: 0.5px solid #ffffff;
  color: #ffffff;
}

#navbarcontainer.active .nav-left a {
  color: #ffffff;
}

#navbarcontainer.active .nav-links li a {
  color: #ffffff;
}

#navbarcontainer.active li a.contact {
  border: 0.5px solid #ffffff;
  color: #ffffff;
}

/* RESPONSIVE NAVBAR */
@media (max-width: 768px) {
  .navbar {
    margin-top: 20px;
    flex-direction: column;
    align-items: center;
    text-align: center;
    border: 0.5px solid #00000000;
  }

  #navbar-container {
    margin: 10px auto 10px;
  }

  .nav-links li a {
    color: #000000;
    text-decoration: none;
    font-size: 15px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
  }

  .nav-left {
    margin-bottom: 10px;
  }

  .nav-links {
    flex-direction: column;
    gap: 20px;
    background-color: #ffffff00;
    border: 0.5px solid #000000;
    color: #000000;
    padding: 15px 10px;
    border-radius: 5px;
  }

  #navbarcontainer.active .navbar {
    border: 1px solid #ffffff00;
  }

  #navbarcontainer.active .nav-links {
    border: 0.5px solid #ffffff;
  }
}

/* LOGO */

#logo {
  position: absolute;
  top: 6%;
  left: 8%;
  transform: translate(-50%, -50%);
  width: 40px;
  height: 20px;
}

#logo img {
  width: 100%;
  height: auto;
  transition: 0.5s;
}

body.active #logo img {
  content: url('./assets/logo-blanc.svg');
}

@media (max-width: 768px) {
  #logo {
    top: 5%;
    left: 50%;
    transform: translate(-50%, -50%);
  }

  #navbarcontainer {
    margin-top: 30px;
  }

  .navbar {
    margin-top: -3px;
    flex-direction: column;
    align-items: center;
    text-align: center;
    border: 0.5px solid #00000000;
  }
}

body.active #logo img {
  content: url('./assets/logo-blanc.svg');
}

/* TEXTE */

.content-header {
    width: 100%;
    padding: 0 4em;
    margin: 30px 0;
}

.text-container {
    display: flex;
    justify-content: space-between;
    width: 100%;
    gap: 20px;
}

.left-column {
    width: 50%;
}

.right-column {
    width: 50%;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

.titre-projet {
    font-size: 15px;
    font-weight: 590;
    margin-bottom: 15px;
}

.left-text,
.right-text {
    font-size: 15px;
    font-weight: 274;
}

.left-text .highlight {
    font-weight: 400;
}

.right-text .highlight {
    font-weight: 400;
}

.right-text {
    text-align: left;
    margin-bottom: 15px;
}

.right-column img {
    width: 25%;
}

/* RESPONSIVE TEXTE */
@media (max-width: 768px) {

    .text-container {
        flex-direction: column;
        align-items: center;
        gap: 0;
    }

    .left-column,
    .right-column {
        width: 100%;
        text-align: center;
    }

    .titre-projet {
        text-align: center;
        margin-top: -15px;
    }

    .left-text {
        margin-bottom: 15px;
    }

    .right-text {
        text-align: center;
        margin-bottom: 20px;
    }

    .right-column img {
        width: 60%;
        margin: 0 auto;
    }

}

/* SECTION */

.container {
    width: 1380px;
    height: 820px;
    border-radius: 0.3em;
    padding: 2em;
    display: flex;
    gap: 1.3em;
}

.row {
    border-radius: 0.3em;
}

.row-1 {
    flex: 1;
    display: flex;
    flex-direction: column;
    gap: 1.3em;
}

.row-2 {
    flex: 2;
    display: flex;
    flex-direction: column;
    gap: 1.3em;
}

.row-3 {
    flex: 1;
    display: flex;
    gap: 1.3em;
}

.row-4 {
    flex: 1;
    display: flex;
    gap: 1.3em;
    flex-direction: column;
}

.col {
    flex: 1;
    border-radius: 0.3em;
    display: flex;
    gap: 1.3em;
}

.col.col-2 {
    flex: 0.15;
    display: flex;
}

.col-box {
    flex: 1;
    border-radius: 0.3em;
}

.box {
    flex: 1;
    border-radius: 0.3em;
}

.box-droite {
    flex: 1;
}

.box-gauche {
    flex: 2;
}

.box-petite {
    flex: 1;
}

.box-grande {
    flex: 2;
}

.col-box img {
    width: 100%;
    height: 100%;
    border-radius: 0.3em;
}

.box img {
    width: 100%;
    height: 100%;
    border-radius: 0.3em;
}

.col-box.jaune {
    display: flex;
}

.col-box.vert {
    display: flex;
}

.col-box.bleu {
    display: flex;
}

.col-box.minuit {
    display: flex;
}

.col-box {
    transition: 0.3s ease-in-out;
}

.box {
    transition: 0.3s ease-in-out;
}

.col-box:hover {
    transform: scale(1.02);
}

.box:hover {
    transform: scale(1.02);
}

@media (max-width: 768px) {
    .container {
        flex-direction: column;
        width: 100%;
        height: auto;
        padding: 1em;
        gap: 1em;
    }

    .row,
    .col {
        width: 100%;
        flex-direction: column;
        align-items: center;
    }

    .col-box,
    .box {
        width: 100%;
        margin-bottom: 0;
    }

    .col-box img,
    .box img {
        width: 100%;
        height: auto;
        margin: 0;
    }

    .col-box,
    .box {
        transition: none;
    }

    .col-box:hover,
    .box:hover {
        transform: none;
    }

    .col-box {
        flex: none;
    }

    img[alt="pattern-delta-bleu"] {
        content: url('./assets/page-delta/pattern-bleu-responsive.jpg');
    }

    img[alt="pattern-delta-jaune"] {
        content: url('./assets/page-delta/pattern-jaune-responsive.jpg');
    }

    img[alt="pattern-delta-vert"] {
        content: url('./assets/page-delta/pattern-vert-responsive.jpg');
    }

    img[alt="pattern-delta-rose"] {
        content: url('./assets/page-delta/pattern-rose-responsive.jpg');
    }

}

/* NAVIGATION */

.navigation-projet {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 50px;
    padding-top: 130px;
}

.div-2,
.navigation-index {
    display: flex;
    align-items: center;
    text-decoration: none;
    color: black;
}

.vector {
    width: 12px;
    height: auto;
}

.text-wrapper {
    margin: 0 10px;
    font-size: 15px;
    font-weight: 590;
}

/* RESPONSIVE SECTION */
@media (max-width: 768px) {
    .navigation-projet {
        gap: 30px;
        padding-top: 40px;
    }

    .div-2,
    .navigation-index {
        flex-direction: row;
        justify-content: center;
        align-items: center;
    }

    .vector {
        width: 10px;
    }

    .text-wrapper {
        margin: 0 5px;
        font-size: 14px;
    }
}

/* NAVIGATION */

#navigationprojet {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 50px;
    padding-top: 130px;
}

.div-2,
.navigation-index {
    display: flex;
    align-items: center;
    text-decoration: none;
}

.div-2 path {
    fill: #000000;
}

.text_wrapper {
    margin: 0 10px;
    font-size: 15px;
    font-weight: 590;
    color: #000000;
}

#navigationprojet.active .text_wrapper {
    color: #ffffff;
}

#navigationprojet.active .div-2 path {
    fill: #ffffff;
}

.div-2,
.navigation-index {
  display: flex;
  align-items: center;
  text-decoration: none;
  transition: transform 0.3s ease, opacity 0.3s ease;
}

.div-2:hover,
.navigation-index:hover {
  transform: translateY(-2px);
  opacity: 0.7;
}

/* RESPONSIVE SECTION */
@media (max-width: 768px) {
    .navigation-projet {
        gap: 30px;
        padding-top: 40px;
    }

    .div-2,
    .navigation-index {
        flex-direction: row;
        justify-content: center;
        align-items: center;
    }

    .vector {
        width: 10px;
    }

    .text-wrapper {
        margin: 0 5px;
        font-size: 14px;
    }
}

/* POP UP CONTACT */

#popup {
    display: none;
  }
  

.popup-container {
    display: flex;
    position: fixed;
    z-index: 10;
    width: 100%;
    height: 100%;
    top: 0;
    background-color: rgba(0, 0, 0, 0.312);
    justify-content: center;
    align-items: center;
}

.popup-content {
    background-color: rgba(255, 255, 255, 0.15);
    border: 2px solid #ffffff10;
    backdrop-filter: blur(15px);
    padding: 30px;
    border-radius: 5px;
    width: 400px;
    text-align: center;
    position: absolute;
    z-index: 2;
}

.popup-content img {
    width: 100%;
}

.close {
    position: absolute;
    top: 8px;
    right: 8px;
}

.bouton-cv {
    border: 1px solid #ffffff;
    line-height: 2.5;
    padding: 0px 50px;
    margin-top: 20px;
    font-size: 0.8750rem;
    text-align: center;
    color: #fff;
    border-radius: 5px;
    background-color: rgba(255, 255, 255, 0.15);
}

.bouton-cv:hover {
    box-shadow:
        inset -2px -2px 3px rgba(222, 222, 222, 0.6),
        inset 2px 2px 3px rgba(90, 90, 90, 0.6);
}

.logo-contact {
    left: 0;
    display: flex;
    justify-items: center;
    flex-direction: column;
}

.logo-behance-contact {
    display: flex;
    justify-content: flex-end;
    margin-bottom: 30px;
}

.logo-instagram-contact {
   display: flex;
   justify-content: flex-start;
}

.logo-mail-contact {
  display: flex;
  justify-content: flex-end;
  margin-top: 30px;
}

.logo-contact a {
    width: 25%;
}

.logo-contact img {
    width: 100%;
}


/* Responsive - Popup Contact */
@media (max-width: 768px) {
    .popup-container {
        display: flex;
        flex-direction: column;
    }

    .popup-content {
        width: 85%;
        padding: 15px;
    }

    .logo-contact {
        display: flex;
        flex-direction: row;
        margin-top: 420px;
    }

    .logo-behance-contact,
    .logo-instagram-contact,
    .logo-mail-contact {
        margin: 10px;
    }

    .logo-behance-contact {
        display: flex;
        justify-content: end;
    }

    .logo-instagram-contact {
        display: flex;
        justify-content: center;
    }

    .logo-mail-contact {
        display: flex;
        justify-content: start;
    }

    .logo-contact a {
        width: 50%;
    }

    img[alt="image-behance"] {
        content: url('./assets/pop-up-contact/contact-behance-responsive.png');
    }

    img[alt="image-instagram"] {
        content: url('./assets/pop-up-contact/contact-instagram-responsive.png');
    }

    img[alt="image-mail"] {
        content: url('./assets/pop-up-contact/contact-mai-responsive.png');
    }
}

/* FOOTER */

footer {
    width: 100%;
    padding: 20px 0;
    background-color: #ffffff;
    text-align: center;
    margin-top: 20px;
    margin-bottom: 30px;
}

.footer-text {
    font-size: 15px;
    font-style: normal;
    font-weight: 274;
}

.text-amour {
    font-family: var(--secondary-font);
    font-size: 18px;
    line-height: normal;
}

footer.active {
    background-color: #000000;
}

/* RESPONSIVE FOOTER */
@media (max-width: 768px) {
    footer {
        padding: 20px 100px;
    }

    .footer-text {
        font-size: 14px;
    }

    .text-amour {
        font-size: 17px;
        padding-top: 10px;
    }
}